CREATE TABLE inv_zone_worker_history (
    WORKER_HISTORY_ID          NUMBER(18, 0),
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    ACTIVITY_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    ZONE_TASK_ID               NUMBER(18, 0)    NOT NULL,
    ACTIVITY_REFERENCE_ID      NUMBER(18, 0),
    ACTIVITY_REFERENCE_CODE    VARCHAR2(480),
    ACTIVITY_REFERENCE_NAME    VARCHAR2(960),
    START_DATETIME             TIMESTAMP(6) ,
    END_DATETIME               TIMESTAMP(6) ,
    WORK_DATE                  DATE         ,
    TOTAL_ITEMS                NUMBER(9, 0) ,
    COMPLETED_ITEMS            NUMBER(9, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    WORKER_HISTORY_ID          NUMBER(18, 0),
    PERSON_ID                  NUMBER(18, 0)    NOT NULL,
    ACTIVITY_TYPE_CODE         VARCHAR2(120)    NOT NULL,
    ZONE_TASK_ID               NUMBER(18, 0)    NOT NULL,
    ACTIVITY_REFERENCE_ID      NUMBER(18, 0),
    ACTIVITY_REFERENCE_CODE    VARCHAR2(480),
    ACTIVITY_REFERENCE_NAME    VARCHAR2(960),
    START_DATETIME             TIMESTAMP(6) ,
    END_DATETIME               TIMESTAMP(6) ,
    WORK_DATE                  DATE         ,
    TOTAL_ITEMS                NUMBER(9, 0) ,
    COMPLETED_ITEMS            NUMBER(9, 0) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    CONSTRAINT pk_inv_zone_worker_history PRIMARY KEY (WORKER_HISTORY_ID, WORKER_HISTORY_ID)
);
